unit GameViewCubes;

interface

uses Classes,
  CastleVectors, CastleUIControls, CastleControls, CastleKeysMouse;

type
  TViewCubes = class(TCastleView)
  published
  private
    Button1,
    Button2 : TCastleButton;
  public
    constructor Create(AOwner: TComponent); override;
    procedure Start; override;
    procedure Update(const SecondsPassed: Single; var HandleInput: boolean); override;
                                                                
    procedure BackToMenu(Sender : TObject);
    procedure GoToSpheres(Sender : TObject);
  end;

var
  ViewCubes: TViewCubes;

implementation        

uses
  GameViewMain, GameViewSpheres;

constructor TViewCubes.Create(AOwner: TComponent);
begin
  inherited;
  DesignUrl := 'castle-data:/gameviewcubes.castle-user-interface';
end;

procedure TViewCubes.Start;
begin
  inherited;
  Button1 := DesignedComponent('Button1') as TCastleButton;
  Button1.OnClick := @GoToSpheres;
  Button2 := DesignedComponent('Button2') as TCastleButton;
  Button2.OnClick := @BackToMenu;
end;

procedure TViewCubes.Update(const SecondsPassed: Single; var HandleInput: boolean);
begin
  inherited;
end;
      
procedure TViewCubes.BackToMenu(Sender : TObject);
begin
  Container.View := ViewMain;
end;

procedure TViewCubes.GoToSpheres(Sender : TObject);
begin
  Container.View := ViewSpheres;
end;


end.
