unit GameViewMain;

interface

uses Classes,
  CastleVectors, CastleComponentSerialize,
  CastleUIControls, CastleControls, CastleKeysMouse,
  GameViewspheres, GameViewcubes;

type
  TViewMain = class(TCastleView)
  published
    LabelFps: TCastleLabel;
  private
    Button1,
    Button2,
    Button3: TCastleButton;
  public
    constructor Create(AOwner: TComponent); override;
    procedure Start; override;
    procedure Update(const SecondsPassed: Single; var HandleInput: Boolean); override;
    function Press(const Event: TInputPressRelease): Boolean; override;

    procedure GoToSpheres(Sender : TObject);
    procedure GoToCubes(Sender : TObject);
    procedure CloseGame(Sender : TObject);
  end;

var
  ViewMain: TViewMain;

implementation

uses
  SysUtils,
  CastleApplicationProperties, CastleWindow,
  GameInitialize;

{ TViewMain ----------------------------------------------------------------- }

constructor TViewMain.Create(AOwner: TComponent);
begin
  inherited;
  DesignUrl := 'castle-data:/gameviewmain.castle-user-interface';
end;

procedure TViewMain.Start;
begin
  inherited;  
  Button1 := DesignedComponent('Button1') as TCastleButton;
  Button1.OnClick := @GoToSpheres;
  Button2 := DesignedComponent('Button2') as TCastleButton;
  Button2.OnClick := @GoToCubes;     
  Button3 := DesignedComponent('Button3') as TCastleButton;
  Button3.OnClick := @CloseGame;
end;

procedure TViewMain.Update(const SecondsPassed: Single; var HandleInput: Boolean);
begin
  inherited;
  Assert(LabelFps <> nil, 'If you remove LabelFps from the design, remember to remove also the assignment "LabelFps.Caption := ..." from code');
  LabelFps.Caption := 'FPS: ' + Container.Fps.ToString;
end;

function TViewMain.Press(const Event: TInputPressRelease): Boolean;
begin
  Result := inherited;
  if Result then Exit;
end;

procedure TViewMain.GoToSpheres(Sender : TObject);
begin
  Container.View := ViewSpheres;
end;

procedure TViewMain.GoToCubes(Sender : TObject);
begin
  Container.View := ViewCubes;
end;

procedure TViewMain.CloseGame(Sender : TObject);
begin
  Application.Terminate;
end;

end.
