unit GameViewspheres;

interface

uses Classes,
  CastleVectors, CastleUIControls, CastleControls, CastleKeysMouse;

type
  TViewspheres = class(TCastleView)
  published
  private
    Button1,
    Button2 : TCastleButton;
  public
    constructor Create(AOwner: TComponent); override;
    procedure Start; override;
    procedure Update(const SecondsPassed: Single; var HandleInput: boolean); override;

    procedure BackToMenu(Sender : TObject);
    procedure GoToCubes(Sender : TObject);
  end;

var
  Viewspheres: TViewspheres;

implementation

uses
  GameViewMain, GameViewCubes;

constructor TViewspheres.Create(AOwner: TComponent);
begin
  inherited;
  DesignUrl := 'castle-data:/gameviewspheres.castle-user-interface';
end;

procedure TViewspheres.Start;
begin
  inherited;
  Button1 := DesignedComponent('Button1') as TCastleButton;
  Button1.OnClick := @GoToCubes;
  Button2 := DesignedComponent('Button2') as TCastleButton;
  Button2.OnClick := @BackToMenu;
end;

procedure TViewspheres.Update(const SecondsPassed: Single; var HandleInput: boolean);
begin
  inherited;
end;

procedure TViewspheres.BackToMenu(Sender : TObject);
begin
  Container.View := ViewMain;
end;

procedure TViewspheres.GoToCubes(Sender : TObject);
begin
  Container.View := ViewCubes;
end;

end.
